### Hierarchy

- WebCryptoSha2Hash

### Implements

- Sha2Hash

## Index

### Constructors

- constructor

### Properties

- subtleCrypto

### Methods

- digest

## Constructors

### constructor

- new WebCryptoSha2Hash(subtleCrypto: SubtleCrypto): WebCryptoSha2Hash

- - Defined in src/encryption/sha2Hash.ts:32

  #### Parameters

  - ##### subtleCrypto: SubtleCrypto

  #### Returns WebCryptoSha2Hash

## Properties

### subtleCrypto

subtleCrypto: SubtleCrypto

- Defined in src/encryption/sha2Hash.ts:32

## Methods

### digest

- digest(data: Buffer, algorithm?: string): Promise<Buffer>

- - Defined in src/encryption/sha2Hash.ts:38

  #### Parameters

  - ##### data: Buffer

  - ##### Default value algorithm: string = "sha256"

  #### Returns Promise<Buffer>

Generated using TypeDoc